Skip to main content
GET
/
workflows
/
variables
/
{id}
Retrieve a workflow variable by ID
curl --request GET \
  --url https://api.artu.ai/workflows/variables/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Environment: <api-key>'
{
  "name": "<string>",
  "effectiveDate": "2023-12-25",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organizationId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "value": "<unknown>",
  "type": "string",
  "description": "<string>",
  "metadata": {}
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Path Parameters

id
string<uuid>
required

Response

200 - application/json

OK

name
string
required

Name

Required string length: 1 - 255
Pattern: ^[A-Z][A-Z0-9_]*$
effectiveDate
string<date>
required

Effective Date

id
string<uuid>
required
organizationId
string
required
environment
enum<string>
required
Available options:
test,
live
scope
enum<string>
required
Available options:
system,
organization
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
value
any

Value

type
enum<string>
default:string

Type

Available options:
string,
number,
boolean,
date,
timestamp
description
string

Description

Maximum string length: 2000
metadata
object

Metadata